Bug 988090 - (shift+f12) doesn't work - can't escape from spice inside vnc
(shift+f12) doesn't work - can't escape from spice inside vnc
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 13:40 EDT by Erik M Jacobs
Modified: 2014-02-05 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:10:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erik M Jacobs 2013-07-24 13:40:19 EDT
Description of problem:
When using Remmina to connect to a VNC session (over SSH), pressing Shift+F12 does not seem to actually send both keys at the same time. This means you can't regain cursor control from a spice session running inside the vnc session.

Version-Release number of selected component (if applicable):
remmina and remmina-plugins-vnc 1.0.0-7.fc18

How reproducible:
100%

Steps to Reproduce:
1. Connect to a VNC session with Remmina
2. Open a spice session inside your VNC session (ex: i've connected to a RHEL6 desktop and am using RHEV/Ovirt to spice session into a guest)
3. Click inside the spice session
4. Press Shift+F12 to regain cursor control

Actual results:
Only F12 is sent

Expected results:
Shift+F12 should be sent

Additional info:
Comment 1 Christoph Wickert 2013-07-24 14:22:17 EDT
Frankly speaking I have never heard of that key combination. Where do you have this from?
Comment 2 Erik M Jacobs 2013-07-24 15:32:02 EDT
The spice client, which is used to view virtual machines using the spice protocol, uses the Shift+F12 key combination to release the cursor.

This is similar to Ctrl+Alt or other combinations that other solutions use (VMWare, virt-manager, etc).

Ovirt/RHEV use Spice for connecting to virtual machines.
Comment 3 Fedora End Of Life 2013-12-21 09:22:56 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2014-02-05 17:10:45 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.